<?php
/*
Author: Mikhail Esteves
Author URI: http://www.thejackol.com/
Description: Administrative options for PaypalDonate
*/

$location = get_option('siteurl') . '/wp-admin/admin.php?page=paypal-donate/options-paypaldonate.php';

add_option('wppd_code', __('', 'wppd'));

if ('process' == $_POST['stage'])
{
    update_option('wppd_code', $_POST['wppd_code']);
}

$wppd_code = stripslashes(get_option('wppd_code'));
?>
<div class="wrap">
  <h2><?php _e('Paypal Donate Button Code') ?></h2><br/>
  <form name="form1" method="post" action="<?php echo $location ?>&amp;updated=true">
  <input type="hidden" name="stage" value="process" />
  <table width="100%" cellspacing="2" cellpadding="5" class="editform">
    <tr valign="top">
      <th scope="row"><?php _e('Donate Button Code:') ?></th>
      <td>
	  <?php _e("1. Login to Paypal and use Paypal's Merchant Tools to generate a Paypal Donate button."); ?><br />
	  <?php _e("2. Paste the generated donation button code into the box provided below."); ?><br />
	  <?php _e("3. Press the update options button to apply changes"); ?><br /><br />
	  <textarea name="wppd_code" id="wppd_code" style="width: 80%;" rows="9" wrap="virtual" cols="50"><?php echo $wppd_code; ?></textarea>
      <br /><br />
      <?php _e('4. Add the shortcode [donate] to your post(s)/page(s) to add the donation button.'); ?>
      </td>
    </tr>
  </table>
    <p class="submit">
      <input type="submit" name="Submit" value="<?php _e('Update Options', 'wppd') ?> &raquo;" />
    </p>
  </form>
</div>
